package com.tencent.mapsdk.raster.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

class GeoPoint$1 implements Creator<GeoPoint> {
    GeoPoint$1() {
    }

    public final GeoPoint createFromParcel(Parcel parcel) {
        AppMethodBeat.i(101176);
        GeoPoint geoPoint = new GeoPoint(parcel, null);
        AppMethodBeat.o(101176);
        return geoPoint;
    }

    public final GeoPoint[] newArray(int i) {
        return new GeoPoint[i];
    }
}
